import React from 'react';
import { useSessionCache } from '../data-access';

export function ConnectionInspector() {
  const session = useSessionCache();

  return (
    <div>
      {session && session.currentSaveState && (
        <div className="flex flex-col p-4 border-b">
          <span className="text-sm font-bold">Connection details</span>
          <span className="text-xs font-semibold">Name</span>
          <span className="text-xs">{session.saveStates[session.currentSaveState].name}</span>
          <span className="text-xs font-semibold">Database</span>
          <span className="text-xs">{session.saveStates[session.currentSaveState].db.internalDatabaseName}</span>
          <span className="text-xs font-semibold">Protocol</span>
          <span className="text-xs">{session.saveStates[session.currentSaveState].db.protocol}</span>
          <span className="text-xs font-semibold">Hostname</span>
          <span className="text-xs">{session.saveStates[session.currentSaveState].db.url}</span>
          <span className="text-xs font-semibold">Port</span>
          <span className="text-xs">{session.saveStates[session.currentSaveState].db.port}</span>
        </div>
      )}
    </div>
  );
}
